Форум программистов, компьютерный форум, киберфорум
jujune_pies
Войти
Регистрация
Восстановить пароль
Оценить эту запись

Локальный сайт на денвере с wordpress и дочерней темой

Запись от jujune_pies размещена 12.07.2020 в 13:40

Добрый день, я уже пару дней не могу решить проблему с файлами wp, выдает ошибку, которую я не могу сама исправить, буду благодарна за помощь

Warning: require_once(__DIR__/wp-load.php) [function.require-once]: failed to open stream: No such file or directory in Z:\home\wpblog.loc\www\wp-blog-header.php on line 13

Fatal error: require_once() [function.require]: Failed opening required '__DIR__/wp-load.php' (include_path='.;/usr/local/php5/PEAR') in Z:\home\wpblog.loc\www\wp-blog-header.php on line 13

PHP
1
2
    // Load the WordPress library.
    require_once __DIR__ . '/wp-load.php';

в папке есть этот файл, если что.
Размещено в Без категории
Просмотров 160 Комментарии 2
Всего комментариев 2
Комментарии
  1. Старый комментарий
    Константа __DIR__ появилась только начиная с PHP-5.3
    Вероятно у вас 5.2

    Лучше обновить версии Apache+PHP. Например вот здесь я слегка попытался,
    если windows >= 7
    https://www.cyberforum.ru/showthread.php?p=14180290
    ... не так давно, но вероятно номера версий по ссылкам появились посвежее
    или устанавливайте одну из другиx сборок openserver/xampp/...

    Не по теме:


    Со старой версией php лучше не возиться, ещё вероятно вылезут другие проблемы,
    даже если заменить все __DIR__ на dirname(__FILE__)

    Запись от x_lab размещена 12.07.2020 в 14:05 x_lab на форуме
  2. Старый комментарий
    Цитата:
    Сообщение от x_lab Просмотреть комментарий
    Константа __DIR__ появилась только начиная с PHP-5.3
    Вероятно у вас 5.2

    Лучше обновить версии Apache+PHP. Например вот здесь я слегка попытался,
    если windows >= 7
    https://www.cyberforum.ru/showthread.php?p=14180290
    ... не так давно, но вероятно номера версий по ссылкам появились посвежее
    или устанавливайте одну из другиx сборок openserver/xampp/...

    Не по теме:


    Со старой версией php лучше не возиться, ещё вероятно вылезут другие проблемы,
    даже если заменить все __DIR__ на dirname(__FILE__)

    Спасибо, но проблема была в самом денвере, он не поддерживает последние версии wp, если я правильно поняла)
    Запись от jujune_pies размещена 12.07.2020 в 21:51 jujune_pies вне форума
 
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2020, vBulletin Solutions, Inc.